* {
	@include box-sizing(border-box);
}
*:before,
*:after {
	@include box-sizing(border-box);
}


html,
body {
	min-height: 100%;
}

body {
	color: $base;
	font-family: $font-family-base;
	background-color: #fff;
	font-size: $font-size-base;
	line-height: $line-height-base;
}

.container {
	margin-right: auto;
	margin-left: auto;
	padding-left:  ($gutter);
	padding-right: ($gutter);
	@include clearfix;

	@media (min-width: $screen-sm-min) {
		width: $container-sm;
	}

	@media (min-width: $screen-md-min) {
		width: $container-md;
	}

	@media (min-width: $screen-lg-min) {
		width: $container-lg;
	}

	@media (min-width: $screen-xl-min) {
		width: $container-xl;
	}
}

.page {
	padding-top: 80px;
	display: flex;
	width: 100%;
	max-width: 100%;
	overflow: hidden;
	min-height: 100vh;
	flex-direction: column;

	&.page-zero {
		padding-top: 0;
	}

	@media (min-width: $screen-sm-min) {
		padding-top: 110px;

		&.page-zero {
			padding-top: 0;
		}
	}
}

.page-home {
	padding-top: 0;

	@media (min-width: $screen-sm-min) {
		padding-top: 0;
	}
}

.main {
	flex-grow: 1;
	padding: 20px 0 0 0;
	
	&__primary {
		margin: 0 auto;
		max-width: 790px;
	}
	
	&__content {
		padding: 40px 0;
		font-size: font-size-rel(15px);
		margin: 0 auto;
		max-width: 790px;
	}
	
	&__comments {
		padding-top: 40px;
	}
	
	@media (min-width: $screen-md-min) {
		padding-top: 40px;
		padding-bottom: 40px;
		
		&__primary {
			margin: 0 auto;
			width: 790px;
		}
		
		&__content {
			font-size: font-size-rel(17px);
		}
		
		&__content {
			margin: 0;
			width: 790px;
			padding-top: 60px;
			padding-bottom: 60px;
		}
		
		&__comments {
			width: 790px;
			padding-top: 60px;
		}
	}
	
	@media (min-width: $screen-lg-min) {
	
		&__row {
			position: relative;
			@include clearfix();
		}
		
		&__primary {
			margin: 0;
			float: left;
		}
		
		&__sidebar {
			width: 380px;
			float: right;
			position: relative;
		}
		
		&__content {
			width: 790px;
		}
		
		&__comments {
			margin: 0;
		}
	}
}

// Headings

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
	margin: 0;
	padding: 0;
	font-weight: 700;
	line-height: 1.2;
}

h1, .h1 {
	font-size: font-size-rel(24px);
	line-height: 125%;
	margin-bottom: 15px;
	font-family: $font-family-head;
	
	@media (min-width: $screen-sm-min) {
		font-size: font-size-rel(33px);
	}

	@media (min-width: $screen-md-min) {
		font-size: font-size-rel(41px);
		margin-bottom: 40px;
	}
}

h2, .h2 {
	font-size: font-size-rel(24px);
	line-height: 125%;
	margin-bottom: 20px;
	font-family: $font-family-head;

	@media (min-width: $screen-sm-min) {
		font-size: font-size-rel(29px);
		line-height: 120%;
	}

	@media (min-width: $screen-md-min) {

	}

	@media (min-width: $screen-lg-min) {
		font-size: font-size-rel(33px);
		line-height: 120%;
		margin-bottom: 30px;
	}

	@media (min-width: $screen-xl-min) {

	}
}

h3, .h3 {
	margin-bottom: 20px;
	font-size: font-size-rel(26px);
	font-family: $font-family-head;
}

h4, .h4 {
	line-height: 120%;
	margin-bottom: 20px;
	font-size: font-size-rel(16px);
	font-family: $font-family-head;
	
	@media (min-width: $screen-sm-min) {
		font-size: font-size-rel(21px);
	}
}

h5, .h5 {
	margin-bottom: 15px;
	font-size: font-size-rel(16px);
	font-family: $font-family-head;
	
	@media (min-width: $screen-sm-min) {
		font-size: font-size-rel(17px);
	}
}

h6, .h6 {
	font-size: font-size-rel(14px);
	font-family: $font-family-head;
}

p {
	margin: 0 0 20px 0;
}

a {
	color: $blue;
	font-weight: 500;
	text-decoration: underline;

	&:hover {
		color: $blue;
		text-decoration: none;
	}
}
